Subject: [Bitcoin-development] Potential network split when individual tx used as coinbase?

From: "Rebroad (sourceforge)" <[email-masked]>
Date: Sat, 5 May 2012 09:31:39 +0100

Hi,
Looking at:
https://github.com/bitcoin/bitcoin/commit/3e52aaf2121d597ab1ed012b65e37f9cb5f2754e#src/main.cpp-P52

It appears that 8 months ago the code was changed to DoS(100) nodes sending
on txs that use individual txs as the coinbase. Does this mean txs that are
0 confirmed?

If so, then, is this a risk of a network split, as I'm sure I've read about
services popping up using bitcoin that are specifically allowing 0
confirmed transactions, and therefore there must be peers around that
accept these.

Or have I misread the code?

Cheers,
Ed

PS. Would a BIP have been applicable for the above-mentioned change?